Taiwan Hadoop Forum

台灣 Hadoop 技術討論區
現在的時間是 2018-12-13, 03:39

所有顯示的時間為 UTC + 8 小時




發表新文章 回覆主題  [ 4 篇文章 ] 
發表人 內容
 文章主題 : hadoop 2.2.0 got WARN "Unable to load native-hadoop library"
文章發表於 : 2013-11-16, 21:06 
離線

註冊時間: 2011-11-11, 23:41
文章: 79
Dears,

1. I got the warning message when I type command "./start-all.sh" on NN.
WARN util.NativeCodeLoader: Unable to load native-hadoop library for your platform...

2. "ldd" check got as below information:

root@NN1:/usr/local/hadoop-2.2.0/lib/native# ldd libhadoop.so.1.0.0
./libhadoop.so.1.0.0: /lib/tls/i686/cmov/libc.so.6: version `GLIBC_2.12' not found (required by ./libhadoop.so.1.0.0)
linux-gate.so.1 => (0x00d70000)
libdl.so.2 => /lib/tls/i686/cmov/libdl.so.2 (0x00f51000)
libjvm.so => not found
libc.so.6 => /lib/tls/i686/cmov/libc.so.6 (0x00dae000)
/lib/ld-linux.so.2 (0x00809000)

root@NN1:/usr/local/hadoop-2.2.0/lib/native# ldd libhdfs.so.0.0.0
linux-gate.so.1 => (0x00194000)
libjvm.so => not found
libdl.so.2 => /lib/tls/i686/cmov/libdl.so.2 (0x0029a000)
libpthread.so.0 => /lib/tls/i686/cmov/libpthread.so.0 (0x00f30000)
libc.so.6 => /lib/tls/i686/cmov/libc.so.6 (0x0049e000)
/lib/ld-linux.so.2 (0x00b8d000)


Hadoop version: 2.2.0
OS: Ubuntu 10.04 LTS


who know what happen? how to solve it.

many thanks.


回頂端
 個人資料 E-mail  
 
 文章主題 : Re: hadoop 2.2.0 got WARN "Unable to load native-hadoop libr
文章發表於 : 2013-11-17, 14:07 
離線

註冊時間: 2009-11-09, 19:52
文章: 2897
top 寫:
root@NN1:/usr/local/hadoop-2.2.0/lib/native# ldd libhadoop.so.1.0.0
./libhadoop.so.1.0.0: /lib/tls/i686/cmov/libc.so.6: version `GLIBC_2.12' not found (required by ./libhadoop.so.1.0.0)
linux-gate.so.1 => (0x00d70000)
libdl.so.2 => /lib/tls/i686/cmov/libdl.so.2 (0x00f51000)
libjvm.so => not found
libc.so.6 => /lib/tls/i686/cmov/libc.so.6 (0x00dae000)
/lib/ld-linux.so.2 (0x00809000)

OS: Ubuntu 10.04 LTS


First, you might need to run ldconfig to update the libraries.

代碼:
~$ lsb_release -a
No LSB modules are available.
Distributor ID:   Ubuntu
Description:   Ubuntu 12.04.3 LTS
Release:   12.04
Codename:   precise

~$ dpkg -S libjvm.so
sun-java6-bin: /usr/lib/jvm/java-6-sun-1.6.0.26/jre/lib/amd64/server/libjvm.so

~$ dpkg -S libc.so.6
libc6: /lib/x86_64-linux-gnu/libc.so.6

~$ dpkg -l libc6
ii  libc6          2.15-0ubuntu10 Embedded GNU C Library: Shared libraries


Since you're using Ubuntu 10.04, try to check your libc6 package.
Maybe it's better to upgrade to Ubuntu 12.04

- Jazz


回頂端
 個人資料 E-mail  
 
 文章主題 : Re: hadoop 2.2.0 got WARN "Unable to load native-hadoop libr
文章發表於 : 2013-11-18, 22:18 
離線

註冊時間: 2011-11-11, 23:41
文章: 79
Thanks Jazz for the share.
as you said. maybe try to upgrade to Ubuntu 12.04 it will be better.
I still got some issue. XD

Thanks!


回頂端
 個人資料 E-mail  
 
 文章主題 : Re: hadoop 2.2.0 got WARN "Unable to load native-hadoop libr
文章發表於 : 2013-11-19, 00:08 
離線

註冊時間: 2009-11-09, 19:52
文章: 2897
top 寫:
Thanks Jazz for the share.
as you said. maybe try to upgrade to Ubuntu 12.04 it will be better.
I still got some issue. XD
Thanks!


I'm not quite sure about the issue of libjvm.so
maybe you could try "ldconfig" as root.

- Jazz


回頂端
 個人資料 E-mail  
 
顯示文章 :  排序  
發表新文章 回覆主題  [ 4 篇文章 ] 

所有顯示的時間為 UTC + 8 小時


誰在線上

正在瀏覽這個版面的使用者:沒有註冊會員 和 3 位訪客


不能 在這個版面發表主題
不能 在這個版面回覆主題
不能 在這個版面編輯您的文章
不能 在這個版面刪除您的文章
不能 在這個版面上傳附加檔案

搜尋:
前往 :  
cron
Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
正體中文語系由 竹貓星球 維護製作